# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Information about Perl modules
Name:		perl-Module-Info
Version:	0.32
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Module-Info/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/Module-Info-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Pod) >= 1.18
BuildRequires:	perl(Test::Pod::Coverage)

# B::Module::Info manpage isn't shipped for builds with perl 5.8.1-5.8.9
%global bmi_manpage %(%{__perl} -e 'print ((($] >= 5.008001) and ($] <= 5.008009)) ? 0 : 1)')

%description
Module::Info gives you information about Perl modules without actually
loading the module. It isn't actually specific to modules and should
work on any perl code.

%prep
%setup -q -n Module-Info-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{_bindir}/module_info
%{_bindir}/pfunc
%{perl_vendorlib}/B/
%{perl_vendorlib}/Module/
%{_mandir}/man1/module_info.1*
%{_mandir}/man1/pfunc.1*
%{_mandir}/man3/B::BUtils.3pm*
%if %{bmi_manpage}
%{_mandir}/man3/B::Module::Info.3pm*
%endif
%{_mandir}/man3/Module::Info.3pm*

%changelog
* Thu Sep  9 2010 Paul Howarth <paul@city-fan.org> 0.32-1
- Update to 0.32
  - Add archlib and privlib to the search path for core modules

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.31-9
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> 0.31-5
- Fix dist tag for RHEL-6 Beta

* Sun Feb 28 2010 Paul Howarth <paul@city-fan.org> 0.31-4
- Dist tag for Rawhide no longer needs special-casing

* Mon Sep 21 2009 Paul Howarth <paul@city-fan.org> 0.31-3
- Define RPM macros in global scope

* Sat Nov  1 2008 Paul Howarth <paul@city-fan.org> 0.31-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Buildreq perl(ExtUtils::MakeMaker)

* Thu May 31 2007 Paul Howarth <paul@city-fan.org> 0.31-1
- Update to 0.31
- Fix dist tag for Fedora 7 onwards
- Fix argument order for find with -depth
- Add buildreq perl(Test::Pod::Coverage) for improved testing
  Note: some tests are skipped if perl(version) is installed and other tests
  are skipped if it is not, so there is no point adding perl(version) as a
  buildreq

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 0.30-2
- Fix distribution tags for development releases

* Wed Dec 21 2005 Paul Howarth <paul@city-fan.org> 0.30-1
- Update to 0.30

* Thu Nov 24 2005 Paul Howarth <paul@city-fan.org> 0.290-1
- Update to 0.290
- Use search.cpan.org URLs
- Don't use macros in paths for build-time commands, hardcode them instead
- Simplify distribution-detection
- Remove redundant macro definitions
- Buildreq perl(Test::Pod) >= 1.18 for better test cover
  (fails with Test::Pod 1.16 by the way)
- Remove buildroot unconditionally in %%clean and %%install

* Mon Jul 11 2005 Paul Howarth <paul@city-fan.org> 0.28-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Apr 20 2005 Paul Howarth <paul@city-fan.org> 0.28-1
- Update to 0.28

* Wed Mar  9 2005 Paul Howarth <paul@city-fan.org> 0.27-1
- Update to 0.27
- Update URL

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 0.26-1
- Update to 0.26
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.24-1
- Initial build
